package com.zd.airbottle.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.airbottle.domain.QpTask;
import com.zd.airbottle.domain.QpTaskDetail;
import com.zd.airbottle.domain.QpTransportCar;
import com.zd.airbottle.domain.QpTransportUser;

import java.util.Date;
import java.util.List;

/**
 * 待办清单对象 qp_task
 *
 * @author zd
 * @date 2022-05-11
 */
public class QpTaskVO extends QpTask
{
    private List<QpTaskDetail> detailList;//清单详情

    private List<QpTaskDetailVO> detailListVO;//清单详情VO

    private List<QpTaskVO> taskVOList;//待办清单VO集合

    private List<QpBottleStorageVO> bottleStorageVOList;//入库集合

    private List<QpBottleStorageOutVO> bottleStorageOutVOList;//出库集合

    private List<QpAirGoodsConfigRelationVo> airGoodsConfigRelationVo;//

    private String campus;//校区

    private String building;//楼栋

    private String room;//房间号

    private Long applyNum;//申请气瓶总数

    private Long storageNum;//入库数量

    private Long refuseNum;//拒收总数

    private Long wpsNum;//未派送总数

    private Long drkNum;//待入库总数

    private String configName;//配置名称

    private QpTransportUser transportUser;//运输人员信息

    private QpTransportCar transportCar;//运输车辆信息

    private Integer isDispose;//0未处理 1.已处理

    @JsonFormat(pattern = "yyyy年MM月dd日")
    private Date createTimeApp;//yyyy-mm-dd app端使用

    @JsonFormat(pattern = "yyyy-MM-dd")
    private String startTime;//开始时间按

    @JsonFormat(pattern = "yyyy-MM-dd")
    private String endTime;//结束时间按

    private Integer remarkStatus;

    private Long companyId;//气瓶商家Id

    public List<QpTaskDetailVO> getDetailListVO() {
        return detailListVO;
    }

    public void setDetailListVO(List<QpTaskDetailVO> detailListVO) {
        this.detailListVO = detailListVO;
    }

    public Date getCreateTimeApp() {
        return createTimeApp;
    }

    public void setCreateTimeApp(Date createTimeApp) {
        this.createTimeApp = createTimeApp;
    }

    public String getCampus() {
        return campus;
    }

    public void setCampus(String campus) {
        this.campus = campus;
    }

    public List<QpTaskDetail> getDetailList() {        return detailList;    }
    public void setDetailList(List<QpTaskDetail> detailList) {        this.detailList = detailList;    }

    public String getBuilding() {
        return building;
    }

    public void setBuilding(String building) {
        this.building = building;
    }

    public String getRoom() {
        return room;
    }

    public void setRoom(String room) {
        this.room = room;
    }

    public Long getApplyNum() {
        return applyNum;
    }

    public void setApplyNum(Long applyNum) {
        this.applyNum = applyNum;
    }

    public Long getStorageNum() {
        return storageNum;
    }

    public void setStorageNum(Long storageNum) {
        this.storageNum = storageNum;
    }

    public List<QpTaskVO> getTaskVOList() {        return taskVOList;    }

    public void setTaskVOList(List<QpTaskVO> taskVOList) {        this.taskVOList = taskVOList;    }

    public List<QpBottleStorageVO> getBottleStorageVOList() {        return bottleStorageVOList;    }

    public void setBottleStorageVOList(List<QpBottleStorageVO> bottleStorageVOList) {        this.bottleStorageVOList = bottleStorageVOList;    }

    public List<QpBottleStorageOutVO> getBottleStorageOutVOList() {        return bottleStorageOutVOList;    }

    public void setBottleStorageOutVOList(List<QpBottleStorageOutVO> bottleStorageOutVOList) {       this.bottleStorageOutVOList = bottleStorageOutVOList;   }

    public QpTransportUser getTransportUser() {        return transportUser;    }

    public void setTransportUser(QpTransportUser transportUser) {        this.transportUser = transportUser;    }

    public List<QpAirGoodsConfigRelationVo> getAirGoodsConfigRelationVo() {        return airGoodsConfigRelationVo;    }

    public void setAirGoodsConfigRelationVo(List<QpAirGoodsConfigRelationVo> airGoodsConfigRelationVo) {        this.airGoodsConfigRelationVo = airGoodsConfigRelationVo;    }

    public Long getRefuseNum() {        return refuseNum;    }

    public void setRefuseNum(Long refuseNum) {        this.refuseNum = refuseNum;    }

    public Long getWpsNum() {        return wpsNum;    }

    public void setWpsNum(Long wpsNum) {        this.wpsNum = wpsNum;    }

    public Long getDrkNum() {        return drkNum;    }

    public void setDrkNum(Long drkNum) {        this.drkNum = drkNum;    }

    public String getEndTime() {        return endTime;    }

    public void setEndTime(String endTime) {        this.endTime = endTime;    }

    public String getStartTime() {        return startTime;    }

    public void setStartTime(String startTime) {        this.startTime = startTime;    }

    public Integer getRemarkStatus() {
        return remarkStatus;
    }

    public void setRemarkStatus(Integer remarkStatus) {
        this.remarkStatus = remarkStatus;
    }

    public Long getCompanyId() {        return companyId;    }

    public void setCompanyId(Long companyId) {        this.companyId = companyId;    }

    public String getConfigName() {        return configName;    }

    public void setConfigName(String configName) {        this.configName = configName;    }

    public QpTransportCar getTransportCar() {        return transportCar;    }

    public void setTransportCar(QpTransportCar transportCar) {        this.transportCar = transportCar;    }

    public Integer getIsDispose() {        return isDispose;    }

    public void setIsDispose(Integer isDispose) {        this.isDispose = isDispose;    }
}
